package iDSS.grids;

import java.io.*;
import java.net.*;


public class GridTest {


    public static void main(String args[]) {


        try {

            String fileName = "f:\\iDSSApplet\\iDSS\\demGrids\\normalDEM.txt";
            File inFile = new File(fileName);
            URL url = inFile.toURL();

            System.out.println("url.toString() : " + url.toString());
            System.out.println("Host : " + url.getHost());
            System.out.println("Port : " + url.getPort());
            System.out.println("Protocol : " + url.getProtocol());

            Grid aGrid = new Grid(inFile.toString(),0,0,inFile);
            if(!aGrid.isRead())
                aGrid.read(url);

        } //try

        catch(MalformedURLException e) {



        } //

    } //

} //public class GridTest 
